Geo Locations
Geo Locations entities and endpoints of the Amplify API.
GeoLocations are representatives of Outbrain Geographic Locations. GeoLocations are being used for campaigns to be targeted (or excluded) by geography.
The GeoLocation object has the following attributes:
| Property | Type | Semantic | Example |
|---|---|---|---|
| id | String | geoLocation id | aa4ab4c893b9fb5618476cb27f264ef8 |
| geoType | Geo Location Type | geoLocation type | Region |
| name | String | geoLocation name | Prince Edward Island |
| canonicalName | String | detailed name | Prince Edward Island, Canada |
| parent | GeoLocation | The parent of the geoLocation if exists (always a country) | A GeoLocation object |
Search GeoLocations
This endpoint allows to search a single geo location term. Results can be filtered by supplying additional query parameters.
Endpoints
- Search GeoLocations —
GET /locations/search
Search Multiple GeoLocation Terms
This endpoint allows to search multiple geo locations terms.
Endpoints
- Search Multiple GeoLocation Terms —
POST /locations/search/multiple
Supported Languages
A list of supported languages that can support campaigns in Amplify
| Property | Type | Semantic | Example |
|---|---|---|---|
| name | String | language name | French |
| code | String | ISO code for language | fr |
Retrieve all supported languages
Returns all supported languages
Endpoints
- Retrieve all supported language —
GET /metadata/supportedLanguages